/*
 * Copyright (c) 2021. Julien Fischer
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

.theme-light {

    /* Palette */
    --palette-blue:           #1A68E2;
    --palette-green:          #109F59;
    --palette-red:            #DD4538;
    --palette-yellow:         #F3B402;
    --palette-orange:         #976F00;
    --palette-teal:           #007088;
    --palette-gray:           #808080;
    --palette-white:          #FFFFFF;
    --palette-black:          #000000;

    /* Accent */
    --accent-primary:         var(--palette-blue);
    --accent-primary-light:   #DFE5EE;
    --accent-primary-strong:  var(--accent-primary);
    --accent-primary-soft:    rgba(56,139,253,0.15);
    --neutral-0:       #E6E6E6;
    --neutral-1:       #F3F3F3;
    --neutral-2:       #EEEEEE;
    --neutral-3:       #DDDDDD;

    /* Global */
    --global-foreground:                   var(--palette-black);
    --global-background:                   #FAFAFA;
    --global-secondary-background:         var(--palette-white);
    --global-tertiary-background:          #F5F5F5;
    --global-highlighted-background:       #EEEEEE;
    --global-strong-foreground:            var(--palette-black);
    --global-emphasis-foreground:          #444444;
    --global-subtle-foreground:            #999999;

    /* Messages */
    --message-success-background:          var(--palette-green);
    --message-success-foreground:          var(--palette-white);
    --message-error-background:            rgba(243, 2, 2, .1);
    --message-error-foreground:            var(--palette-red);
    --message-warn-background:             rgba(243, 180, 2, .2);
    --message-warn-foreground:             rgb(111, 80, 0);
    --message-info-background:             var(--palette-teal);
    --message-default-background:          var(--palette-gray);

    /* Components */
    --arrow-step-background:               #D7D7D7;
    --arrow-controls-background:           #E9E9E9;
    --arrow-controls-hover-background:     #A0A0A0;
    --tag-foreground:                      var(--palette-white);
    --tag-context-global-background:       var(--palette-gray);
    --tag-context-editor-background:       var(--accent-primary);
    --tag-context-import-dialog:           var(--palette-teal);
    --tag-format-background:               var(--accent-primary-soft);
    --tag-format-foreground:               var(--accent-primary);
    --tag-format-selected-background:      var(--palette-white);
    --tag-format-selected-foreground:      var(--accent-primary);
    --button-disabled-background:          #EEE;
    --button-disabled-foreground:          #AAA;
    --button-fab-background:               #585858;
    --button-fab-foreground:               var(--palette-white);
    --button-text-foreground:              #333;
    --button-filled-background:            var(--neutral-0);
    --button-filled-foreground:            var(--button-text-foreground);
    --button-neutral-hover-background:     #C8C8C8;
    --close-btn-foreground:                var(--palette-black);
    --expand-btn-foreground:               #333;
    --expand-btn-wrapper-foreground:       #666;
    --expand-btn-wrapper-hover-foreground: #555;
    --expand-btn-hover-foreground:         #111;
    --toggle-btn-background:               var(--neutral-2);
    --toggle-btn-foreground:               var(--palette-black);
    --toggle-btn-border:                   #AAA;
    --toggle-btn-hover-background:         #DDD;
    --toggle-btn-hover-foreground:         var(--palette-black);
    --toggle-btn-active-background:        #666;
    --toggle-btn-active-foreground:        #FFF;
    --toggle-btn-active-border:            var(--toggle-btn-active-background);
    --toggle-btn-active-hover-background:  #555;
    --toggle-btn-active-hover-foreground:  var(--palette-white);
    --editor-cell-background:              var(--global-secondary-background);
    --editor-corner-cell-background:       #F7F7F7;
    --editor-header-cell-background:       #F7F7F7;
    --editor-header-cell-active:           var(--accent-primary);
    --editor-cell-focus:                   var(--accent-primary);
    --editor-grid-border:                  #AAA;
    --dialog-title-foreground:             #999;
    --form-element-background:             var(--global-secondary-background);
    --form-element-foreground:             var(--global-foreground);
    --form-element-border:                 #CFCFCF;
    --form-element-hover-border:           var(--global-strong-foreground);
    --form-element-icon-foreground:        #888;
    --create-grid-area-background:         var(--neutral-1);
    --create-grid-count-foreground:        var(--global-foreground);
    --gutter-shadow:                       rgba(0, 0, 0, .3);
    --gutter-dragged-background:           rgba(150, 150, 150, .1);
    --hamburger-icon-foreground:           var(--palette-black);
    --hamburger-icon-open-foreground:      var(--palette-black);
    --numbers-foreground:                  #BBB;
    --result-foreground:                   #555;
    --tooltip-background:                  var(--message-success-background);
    --tooltip-outline:                     var(--message-success-background);
    --tooltip-foreground:                  var(--palette-white);
    --toolbar-background:                  var(--global-secondary-background);
    --table-read-only-foreground:          #555;
    --table-read-only-even-background:     #F4F4F4;
    --table-read-only-header-background:   #F1F1F1;
    --table-read-only-header-border:       #DDD;

    /* Markdown */
    --markdown-h1:                         #333;
    --markdown-h2:                         #555;
    --markdown-p:                          #555;
    --markdown-a:                          var(--accent-primary-strong);
    --markdown-code:                       var(--global-foreground);

    /* Syntax Highlighting */
    --syntax-delimiter:                    #999999;
    --syntax-value:                        #000000;
    --syntax-string:                       #DD1144;
    --syntax-number:                       #990000;
    --syntax-boolean:                      #C99EFF;
    --syntax-tag:                          #000080;
    --syntax-key:                          #800080;
    --syntax-attribute:                    #008080;
    --syntax-keyword:                      #445588;
    --syntax-separator:                    #009999;
}
